Bug 49136 - 'flag' screensaver dies with XError error messages -- sometimes.
'flag' screensaver dies with XError error messages -- sometimes.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-15 06:17 EDT by Telsa Gwynne
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 15:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2001-07-15 06:17:14 EDT
Description of Problem:

Sony Vaio PCG-SR1K with 128 megs of memory with fairfax beta1 on it.
Running Gnome with random screensaver set in capplet. Had sat idle for
hours when I caught an xscreensaver error: yellow text in top left of
screen. Took photo, started to copy down error message. Screen blanked
before I could copy it, and the digital camera messed it, so no bug
report.

Now has happened again and this is the error I saw. I am reasonably
sure I copied it down correctly:

X Error in flag:
X Error of failed request: BadAccess (attempt to access private resource
denied)
Major opcode of failed request 88 (X_FreeColors)
Serial number of failed request 51143184
Current serial number 51143189
xscreensaver: child pid 14421 (flag) exited abnormally (code -1)

How Reproducible:

It appears to be reasonably reproducible if you have about four days to
watch endless screensavers in hope of catching the wrong one. There are
two (!?) screensavers labelled 'Flag' in the screensaver capplet. I have
been running them alternately and watching out of the corner of my eye
for some hours and they now won't do it again. I bet they will as soon
as I put it on random again. Other guess:

Actual Results:

Sits there for some time with a screensaver image in the centre of the
screen and the error message in yellow in the top left.

Then screen blanks completely. Hitting a key gets rid of the empty
screen and nothing bad happens. This is just a minor irritant I suppose.
Comment 1 Glen Foster 2001-07-16 14:55:34 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 2 Bill Nottingham 2001-07-16 15:08:59 EDT
What resolution & color depth are you running at?
Comment 3 Bill Nottingham 2002-01-24 00:54:58 EST
closing - no response.

Note You need to log in before you can comment on or make changes to this bug.